### Method

# Gdk Texture save_to_png

#### Declaration [src]

    gboolean
    gdk_texture_save_to_png (
      GdkTexture* texture,
      const char* filename
    )

#### Description [src]

Store the given `texture` to the `filename` as a PNG file.

This is a utility function intended for debugging and testing. If you want more control over formats, proper error handling or want to store to a `GFile` or other location, you might want to look into using the gdk-pixbuf library.

#### Parameters

`filename` | `const char*`
| The filename to store to.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if saving succeeded, `FALSE` on failure.